首頁 / CompScience / Programming / Languages / C_and_CPP / 編譯frepple-0.6.1

編譯frepple-0.6.1

1.Xerces找不到,經高人在Google指點,原來是g++沒裝!
2.configure:18531: error:
Can’t link with the python library.
This package requires the python development libraries.

後來Johan De Taeye給我一個提示,就是『Altneratively, you can copy the file libpython25.dll.a from the
cywgin/lib/python25 folder to the cygwin/lib folder.』,我才注意到 libpython25.dll.a這個位置有點詭異!

後來用cygwin編譯證實是沒問題的,不過在編譯frepple.nsi上時發現找不到檔案的問題:

File: “..\contrib\installer\dist\*.*” -> no files found.
Usage: File [/nonfatal] [/a] ([/r] [/x filespec […]] filespec […] |
/oname=outfile one_file_only)
Error in script “C:\frepple-0.6.1\contrib\installer\frepple.nsi” on line 161 — aborting creation process

追溯到161行:

; Copy the django and python redistributables created by py2exe
SetOutPath “$INSTDIR\bin”
File /r “..\contrib\installer\dist\*.*”

發現怎沒有檔案?有點不懂Copy the django and python redistributables created by py2exe,只好再請教Johan De Taeye,原來需要python setup.py喔!看來自己真是有點耍白癡了!

不過超有成就感的,終於可以自行編譯建置程式了,而且這個程式還是python跨C++使用的,感覺功力大升了!哈!

Print Friendly, PDF & Email
馬上成為工作達人的Fans

About ㄚ琪

工作達人Fun Taiwan的創辦者及總編,可以在這裡更認識他。

發表迴響

你的電子郵件位址並不會被公開。 Required fields are marked *

*

這個網站採用 Akismet 服務減少垃圾留言。進一步瞭解 Akismet 如何處理網站訪客的留言資料

Scroll To Top